# river-bedload

Display information about [river] in json in the STDOUT.

## Building

Requirements:

-   [zig] 0.13
-   wayland
-   wayland-protocols
-   pkg-config

Build, `e.g.`

    zig build -Doptimize=ReleaseSafe --prefix ~/.local

## Usage

Print continuously: `river-bedload -watch <sort>`

Print and exit: `river-bedload -print <sort>`

sort: outputs seats tags active focused urgent title layout

There is a `-minified` flag to print without any whitespace.

See river-bedload(1) man page for more information.

## Contributing

See [CONTRIBUTING.md]

## License

river-bedload is licensed under the [GNU General Public License v3.0 only].

Files in `common/` and `protocol/` directories are released under various
licenses by various parties. You should refer to the copyright block of each
files for the licensing information.

[river]: https://codeberg.org/river/river
[zig]: https://ziglang.org/download/
[contributing.md]: CONTRIBUTING.md
[gnu general public license v3.0 only]: COPYING
